import { LogLevels, NpmClientType } from '../types';
export interface AddPiralInstancePiletOptions {
    /**
     * Sets the log level to use (1-5).
     */
    logLevel?: LogLevels;
    /**
     * The name of the Piral instance to add.
     */
    app?: string;
    /**
     * Sets the source directory for adding the Piral instance.
     */
    source?: string;
    /**
     * Defines if the provided Piral instance should be selected initially.
     */
    selected?: boolean;
    /**
     * The npm client to be used when scaffolding.
     * @example 'yarn'
     */
    npmClient?: NpmClientType;
}
export declare const addPiralInstancePiletDefaults: AddPiralInstancePiletOptions;
export declare function addPiralInstancePilet(baseDir?: string, options?: AddPiralInstancePiletOptions): Promise<void>;
