import { ForceOverwrite } from '../common';
import { LogLevels } from '../types';
export interface DeclarationPiletOptions {
    /**
     * The source index file (e.g. index.tsx) for collecting all the information
     * @example './src/index'
     */
    entry?: string | Array<string>;
    /**
     * The target directory where the d.ts will be created.
     */
    target?: string;
    /**
     * Specifies ff the target d.ts would be overwritten.
     */
    forceOverwrite?: ForceOverwrite;
    /**
     * Sets the log level to use (1-5).
     */
    logLevel?: LogLevels;
}
export declare const declarationPiletDefaults: DeclarationPiletOptions;
export declare function declarationPilet(baseDir?: string, options?: DeclarationPiletOptions): Promise<void>;
