import { LogLevels, NpmClientType } from '../types';
export interface RunEmulatorPiralOptions {
    /**
     * Sets the log level to use (1-5).
     */
    logLevel?: LogLevels;
    /**
     * The name of the app shell emulator to use.
     */
    app?: string;
    /**
     * Sets if the (system default) browser should be auto-opened.
     */
    open?: boolean;
    /**
     * Sets the port to use for the debug server.
     */
    port?: number;
    /**
     * The URL of a pilet feed(s) used to include locally missing pilets.
     */
    feed?: string | Array<string>;
    /**
     * The npm client to be used when scaffolding.
     * @example 'yarn'
     */
    npmClient?: NpmClientType;
    /**
     * The package registry to use for resolving the specified Piral app.
     */
    registry?: string;
}
export declare const runEmulatorPiralDefaults: RunEmulatorPiralOptions;
export declare function runEmulatorPiral(baseDir?: string, options?: RunEmulatorPiralOptions): Promise<void>;
