"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.computeIntegrity = exports.computeMd5 = exports.computeHash = void 0;
const crypto_1 = require("crypto");
function computeHash(content = '') {
    return (0, crypto_1.createHash)('sha1').update(content).digest('hex');
}
exports.computeHash = computeHash;
function computeMd5(content = '') {
    return (0, crypto_1.createHash)('md5').update(content).digest('hex');
}
exports.computeMd5 = computeMd5;
function computeIntegrity(content) {
    const sum = (0, crypto_1.createHash)('sha256').update(content).digest('base64');
    return `sha256-${sum}`;
}
exports.computeIntegrity = computeIntegrity;
//# sourceMappingURL=hash.js.map