import { PiletRuleContext } from '../types';
export type Options = number;
/**
 * Checks if the main bundle of the pilet is not exceeding a given threshold.
 * The pilet must have been built beforehand for this validation to be conclusive.
 *
 * Negative values yield a warning if the absolute size in kB is exceeded.
 *
 * Positive values yield an error if the absolute size in kB is exceeded.
 *
 * A value of 0 turns this validation off.
 *
 * By default, a pilet's main bundle exceeding 50 kB will result in a warning.
 */
export default function (context: PiletRuleContext, options?: Options): Promise<void>;
